aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/compile_httpserver.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/compile_httpserver.sh')
-rwxr-xr-xscripts/compile_httpserver.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/scripts/compile_httpserver.sh b/scripts/compile_httpserver.sh
new file mode 100755
index 00000000..ecf5f2f6
--- /dev/null
+++ b/scripts/compile_httpserver.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+set -e
+cd HttpServer
+if [ ! -f local.properties ]; then
+ echo sdk.dir=${SDK} > local.properties
+ echo ndk.dir=${NDK} >> local.properties
+fi
+
+if [ "$1" = "DEBUG" ]; then
+ ./gradlew assembleDebug
+else
+ ./gradlew assembleRelease
+fi
+
+echo "Apks are inside HttpServer/app/build/outputs/apk"
+cd .. \ No newline at end of file